: Class PjEncoding

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjEncoding

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjEncoding

All Implemented Interfaces:
  java.lang.Cloneable

public class PjEncoding
extends PjDictionary

A representation of a PDF font encoding dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjEncoding()` Creates a new encoding dictionary.
`PjEncoding(java.util.Hashtable h)` Creates an encoding dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getBaseEncoding()`
`PjObject` | `getDifferences()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF font encoding dictionary.
`void` | `setBaseEncoding(PjName baseEncoding)`
`void` | `setBaseEncoding(PjReference baseEncoding)`
`void` | `setDifferences(PjArray differences)`
`void` | `setDifferences(PjReference differences)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjEncoding

    public PjEncoding()

  Creates a new encoding dictionary.

### PjEncoding

    public PjEncoding(java.util.Hashtable h)

  Creates an encoding dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setBaseEncoding

    public void setBaseEncoding(PjName baseEncoding)

### setBaseEncoding

    public void setBaseEncoding(PjReference baseEncoding)

### getBaseEncoding

    public PjObject getBaseEncoding()
                             throws InvalidPdfObjectException

### setDifferences

    public void setDifferences(PjArray differences)

### setDifferences

    public void setDifferences(PjReference differences)

### getDifferences

    public PjObject getDifferences()
                            throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF font encoding dictionary.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjEncoding object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD